GWT 2.7.0

## com.google.gwt.canvas.dom.client
Enum Context2d.Repetition

    java.lang.Object
      java.lang.Enum<Context2d.Repetition>
          com.google.gwt.canvas.dom.client.Context2d.Repetition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Context2d.Repetition>

Enclosing class:
  Context2d

    public static enum Context2d.Repetition

extends java.lang.Enum<Context2d.Repetition>

Enum for the repetition values.

See Also:
  `Context2d.createPattern(ImageElement, Repetition)`, `Context2d.createPattern(CanvasElement, Repetition)`

Enum Constant Summary
`NO_REPEAT`
`REPEAT`
`REPEAT_X`
`REPEAT_Y`

Method Summary
`java.lang.String` | `getValue()`
`static Context2d.Repetition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Context2d.Repetition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_REPEAT

    public static final Context2d.Repetition NO_REPEAT

### REPEAT

    public static final Context2d.Repetition REPEAT

### REPEAT_X

    public static final Context2d.Repetition REPEAT_X

### REPEAT_Y

    public static final Context2d.Repetition REPEAT_Y

Method Detail

### values

    public static Context2d.Repetition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Context2d.Repetition c : Context2d.Repetition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Context2d.Repetition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public java.lang.String getValue()

GWT 2.7.0